image: node:6

before_script:
  - npm install
  
test:
  script:
    - npm test
    
pages:
  stage: deploy
  script:
  - mkdir .public
  - cp -r coverage/* .public
  - mv .public public
  artifacts:
    paths:
    - public
  only:
  - master
